Package Details: birdtray-git latest-5

Git Clone URL: https://aur.archlinux.org/birdtray-git.git (read-only, click to copy)
Package Base: birdtray-git
Description: Run Thunderbird with a system tray icon.
Upstream URL: https://github.com/gyunaev/birdtray
Keywords: email notifier thunderbird tray
Licenses: GPL-3.0
Conflicts: birdtray
Provides: birdtray
Submitter: jonathon
Maintainer: jonathon
Last Packager: jonathon
Votes: 4
Popularity: 0.001027
First Submitted: 2018-09-23 11:06
Last Updated: 2020-04-23 17:01

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

jonathon commented on 2020-04-11 10:45

@dvalter Thank you, updated!

dvalter commented on 2020-04-11 10:16

Thank you for PKGBUILD @jonathon.

Unfortunately there're some inaccuracies in dependency list.

  • qt5-x11extras has been required for a long time
  • qt5-svg was recently added for SVG support.
  • sqlite3 is no longe required due to outdated code removal.

Here's the patch suggestion:

diff --git a/PKGBUILD b/PKGBUILD
index 6088c77..d734f6e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -9,7 +9,7 @@ pkgdesc="Run Thunderbird with a system tray icon."
 arch=('i686' 'x86_64' 'armv7h' 'armv6h' 'aarch64')
 url="https://github.com/gyunaev/birdtray"
 license=('GPL-3.0')
-depends=(qt5-base sqlite3)
+depends=(qt5-x11extras qt5-svg)
 makedepends=(cmake git qt5-tools)
 conflicts=($_pkgbase)
 provides=($_pkgbase)

jonathon commented on 2019-09-07 17:15

I didn't actually forget anything, upstream changed their tagging structure and introduced a "RELEASE_" prefix with 1.6.

I've adjusted the pkgver function accordingly.

Edit:

@Kr1ss, ah that looks nicer than my quick change. I'll include that change next time I update the PKGBUILD.

Kr1ss commented on 2019-09-07 17:12

That's not really the case. The $pkgver variable is computed by makepkg everytime the package is build, by applying the pkgver() function. So what's in the PKGBUILD as a version does not really matter (except that it's probably no good style).

The problem at the moment seems to be that upstream changed their tagging by prepending RELEASE_ to the version, which can easily be fixed in the PKGBUILD by changing the sed expression in pkgver() to:

sed 's/[^0-9-]*//;s/\([^-]*-g\)/r\1/;s/-/./g'

vedg commented on 2019-09-07 17:00

@jonathon, you forgot to apply the pkgver variable part of Kr1ss's patch. Now the package is permanently out-of-date, i.e. "Version: latest (outdated installed version is RELEASE_1.6.r37.ge6cd346-1)". I think that the pkgver variable should be set to the actual latest git version of the package at the time of the last PKGBUILD change.

Kr1ss commented on 2018-10-12 16:01

Great ! Ty for the quick fix.

jonathon commented on 2018-10-12 15:26

Oops. That's what happens when I base the VCS package on the standard package rather than the other way round... :/

Fixed now.

Kr1ss commented on 2018-10-12 14:39

Thx @jonathon, great package.

Sadly, the current PKGBUILD just labels each version "latest". So, despite of this being a VCS-package, the pkgver won't be changed after an upstream commit and a rebuild, thus makepkg/pacman won't recognize that the package has actually changed.

Would u mind adding a pkgver() function to the PKGBUILD, e.g. something like :

diff --git i/PKGBUILD w/PKGBUILD
index cecb4cd..b50f9cf 100644
--- i/PKGBUILD
+++ w/PKGBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Jonathon Fernyhough <jonathon_at_manjaro dot+org>

 pkgname=birdtray-git
-pkgver=latest
+pkgver=r62.250eeb4
 pkgrel=1
 pkgdesc="Run Thunderbird with a system tray icon."
 arch=('i686' 'x86_64' 'armv7h' 'armv6h' 'aarch64')
@@ -14,6 +14,11 @@ provides=(${pkgname/-git/})
 source=("git+https://github.com/gyunaev/${pkgname/-git/}.git")
 sha1sums=(SKIP)

+pkgver() {
+   cd "$srcdir/${pkgname/-git}"
+   printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
 build() {
   mkdir -p build && cd build
   qmake-qt5 ../${pkgname/-git/}/src

That would increase the version number with every commit, and append the hash ID of that commit.